Find Attribute Definitions

Find Attribute Definitions

Grouper Web Services

Description

Find attribute definitions based on name or ID or other criteria. This is new as of Grouper v2.3.0

Features

  • Find attribute definitions based on list of names, ids, or indexes)

  • Search by wildcard string (search filter)

  • Search by parent folder (only in that folder or also subfolders)

  • Lookup the attribute definition be name, id, or index

  • Non-lite service can search for multiple attributeDefs at once by name/id/index

  • Returns attribute definition(s)

  • Can page and sort the results

  • Can actAs another user

findAttributeDef Lite service

  • Accepts individual arguments, can only lookup one attributeDef by name/id/index or can search for multiple...

  • Documentation: SOAP (click on findAttributeDefsLite), REST

  • For REST, the request can put data in query string (in URL or request body)

  • REST request (colon is escaped to %3A): GET /grouper-ws/servicesRest/v2_3_000/attributeDefs

    • Note: if passing data in request body e.g. actAs, use a POST

  • (see documentation above for details): Request object, response object

  • Response codes

  • Samples (all files with "Lite" in them, click on "download" to see file)

findAttributeDef service

  • Accepts multiple arguments, can lookup multiple attributeDefs by name/id/index or can search for multiple

  • Documentation: SOAP (click on findAttributeDefs), REST

  • REST request (colon is escaped to %3A): GET /grouper-ws/servicesRest/v2_3_000/attributeDefs

  • (see documentation above for details): Request objectresponse object

  • Response codes

  • Samples (all files with "Lite" in them, click on "download" to see file)